Skip to main content
GET
Check whether a wallet is authorized on a swap contract

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization and token endpoints

Query Parameters

contract_address
string
required

The swap contract address

Example:

"0x742d35cc6634c0532925a3b844bc9e7595f0beb1"

wallet_address
string
required

The wallet address to check

Example:

"0x8ba1f109551bd432803012645ac136ddd64dba72"

chain
string
required

The EVM chain to read from, e.g. ethereum_mainnet, ethereum_sepolia, base_mainnet or base_sepolia

Example:

"ethereum_sepolia"

Response

Successful response.

Whether a wallet is authorized to swap on a Superstate swap contract.

authorized
boolean
required

Whether the wallet is authorized on the swap contract

Example:

true

object
enum<string>
required

String representing the object's type. Objects of the same type share the same value.

Available options:
wallet_authorization